ome-files 0.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ome::files::detail::ReaderProperties Struct Reference

Properties specific to a particular reader. More...

`#include <ome/files/detail/FormatReader.h>`

Collaboration diagram for ome::files::detail::ReaderProperties:
[legend]

## Public Member Functions
| ReaderProperties (const std::string &name, const std::string &description)
| Constructor. More...

## Public Attributes
std::string | name
| Format name.
std::string | description
| Format description.
std::vector< boost::filesystem::path > | suffixes
| Filename suffixes this format can handle.
std::vector< boost::filesystem::path > | compression_suffixes
| Filename compression suffixes this format can handle.
std::set< MetadataOptions::MetadataLevel > | metadata_levels
| Supported metadata levels. A typical default is {METADATA_MINIMUM,METADATA_NO_OVERLAYS,METADATA_ALL}.

## Detailed Description

Properties specific to a particular reader.

## Constructor & Destructor Documentation

ome::files::detail::ReaderProperties::ReaderProperties | ( | const std::string & | name,
|  | const std::string & | description
| ) |  |
| inline

Constructor.

Parameters

  name | the format name.
  description | a short description of the format.

The documentation for this struct was generated from the following file:

- ome/files/detail/FormatReader.h